org.kie.api.task

## Enum TaskLifeCycleEventListener.AssignmentType

- java.lang.Object
- - java.lang.Enum<TaskLifeCycleEventListener.AssignmentType>
  - - org.kie.api.task.TaskLifeCycleEventListener.AssignmentType

- All Implemented Interfaces:
    Serializable, Comparable<TaskLifeCycleEventListener.AssignmentType>
  Enclosing interface:
    TaskLifeCycleEventListener

      public static enum TaskLifeCycleEventListener.AssignmentType
      extends Enum<TaskLifeCycleEventListener.AssignmentType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADMIN`
    `EXCL_OWNER`
    `POT_OWNER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TaskLifeCycleEventListener.AssignmentType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TaskLifeCycleEventListener.AssignmentType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### POT_OWNER

          public static final TaskLifeCycleEventListener.AssignmentType POT_OWNER

    - #### EXCL_OWNER

          public static final TaskLifeCycleEventListener.AssignmentType EXCL_OWNER

    - #### ADMIN

          public static final TaskLifeCycleEventListener.AssignmentType ADMIN

  - ### Method Detail

    - #### values

          public static TaskLifeCycleEventListener.AssignmentType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TaskLifeCycleEventListener.AssignmentType c : TaskLifeCycleEventListener.AssignmentType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TaskLifeCycleEventListener.AssignmentType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.